#include <iostream>
#include <cmath>
using namespace std;
int main()
{
    int n,m;
    cin>>n>>m;
    int matrica [n][n];
    int niz[n];
    for(int i = 0;i<n;i++){
        cin>>niz[i];
    }
    int x,y;
    for(int i = 0;i<m;i++){
        cin>>x>>y;
        matrica [x-1][y-1]=1;
        matrica [y-1][x-1]=1;
    }
    int s=0;
    int l=0;
    for(int i =0;i<n;i++){
        for(int j = s;j<n;j++){
            if(matrica[i][j]==1){
                if(niz[i]>0&&niz[j]>0) l+= (niz[i]+niz[j]);
                if(niz[i]<0&&niz[j]<0) l-= (niz[i]+niz[j]);
            }
            if(niz[i]>0&& niz[j]<0 || niz[i]<0&& niz[j]>0){
                if(abs(niz[i])>abs(niz[j])){
                    l+=abs(niz[i]);
                    l-=abs(niz[j]);
                }
                else {
                    l+=abs(niz[j]);
                    l-=abs(niz[i]);
                }
            }
        }
        s++;
    }
    cout<<l;
}